com.microfocus.awm.model

## Interface ITaurusSystemProxy

- All Known Implementing Classes:
    DefaultConfigurationSystemProxy, LocalTaurusSystemProxy

      public interface ITaurusSystemProxy

  Proxies of AWM systems used e.g. for the "Add System" dialog. They can be quickly created, do not require remote system connections and contain all information to create the full when needed `ITaurusSystem`.

  Simple `ITaurusSystem` implementations (e.g. which do not require a remote connection) can simply implement both interfaces and return `this` for `create(IProgressMonitor)`.

  AWM system proxies are created by `ISystemProvider`s.

  Copyright Micro Focus GmbH.

  Author:
    Ralf Pakosch

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.List<ITaurusSystem>` | `create(org.eclipse.core.runtime.IProgressMonitor pMon)` Creates one or several `ITaurusSystem`s from the stub.
    `java.lang.String` | `getDescription()` Gets a human readable description of the system stub, ideally containing brief information about the contained AWM applications.
    `java.lang.String` | `getName()` Gets the name of the AWM system stub.

- - ### Method Detail

    - #### getName

          java.lang.String getName()

      Gets the name of the AWM system stub.
      Returns:
        the name of the system stub

    - #### getDescription

          java.lang.String getDescription()

      Gets a human readable description of the system stub, ideally containing brief information about the contained AWM applications. The description will be used e.g. in the "Add System" dialog to give the user an overview what this system might contain.

      Examples:

      - "My zServer Connection" AWM applications.
      - Local AWM applications.
      Returns:
        a description of the system stub

    - #### create

          java.util.List<ITaurusSystem> create(org.eclipse.core.runtime.IProgressMonitor pMon)
                                        throws TaurusCoreException

      Creates one or several `ITaurusSystem`s from the stub. This can be used for systems which need to be created by e.g. reading a master configuration file from a remote system.

      Simple `ITaurusSystem` implementations can simply implement this interface and return `this` in a `List`.

      Parameters:
        `pMon` - a progress monitor
      Returns:
        at least one `ITaurusSystem`
      Throws:
        `TaurusCoreException` - if an exception occurs during AWM system creation

Copyright © 2015 Micro Focus GmbH. All rights reserved.